/* libfir/src/libfir++/200_CommonFilters.cc
 * 
 *  Copyright: ©2014, Laurence Withers.
 *  Author: Laurence Withers <l@lwithers.me.uk>
 *  License: GPLv3
 */



Filter
SincLowpass(int npoints, double corner, double gain)
{
    return Filter(fir_sinc_lowpass(npoints, corner, gain));
}



Filter
BlackmanLowpass(int npoints, double corner, double gain)
{
    return Filter(fir_blackman_lowpass(npoints, corner, gain));
}



Filter
LanczosLowpass(int npoints, double corner, double gain, int a)
{
    return Filter(fir_lanczos_lowpass(npoints, corner, gain, a));
}



/* options for text editors
vim: expandtab:ts=4:sw=4
*/
