%module fir
%include <complex.i>

/*
 * List conversion
 *
 *  SWIG knows how to turn std::vector<T> func() into a function that returns a
 *  Python list. We do need to tell it about all <T> types with %template,
 *  however.
 */
%include <std_vector.i>
%template(vectord) std::vector<double>;



%{
#include "fir++.h"
%}



%include "fir++.h"

// vim: ts=4:sw=4
