#!/usr/bin/env python3

from distutils.core import setup, Extension

fir_module = Extension('_fir',
	sources=['pyfir_wrap.cxx'],
	libraries=['fir++'],
	)

setup(name = 'fir',
	version = '0.0.0',
	author = 'Laurence Withers',
	description = 'FIR filter',
	ext_modules = [fir_module],
	py_modules = ['fir'],
	)
